Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network180.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
180.0.0.0
Broadcast address
181.255.255.255
First usable
180.0.0.1
Last usable
181.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex B4000000 · Integer 3019898880 to 3053453311
Reverse DNS zones
180.in-addr.arpa
181.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110100.00000000.00000000.00000000180.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10110100.00000000.00000000.00000000180.0.0.0
Broadcast10110101.11111111.11111111.11111111181.255.255.255
Split into smaller subnets/16

180.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1180.0.0.0/16180.0.0.1 to 180.0.255.254180.0.255.25565,534
2180.1.0.0/16180.1.0.1 to 180.1.255.254180.1.255.25565,534
3180.2.0.0/16180.2.0.1 to 180.2.255.254180.2.255.25565,534
4180.3.0.0/16180.3.0.1 to 180.3.255.254180.3.255.25565,534
5180.4.0.0/16180.4.0.1 to 180.4.255.254180.4.255.25565,534
6180.5.0.0/16180.5.0.1 to 180.5.255.254180.5.255.25565,534
7180.6.0.0/16180.6.0.1 to 180.6.255.254180.6.255.25565,534
8180.7.0.0/16180.7.0.1 to 180.7.255.254180.7.255.25565,534
9180.8.0.0/16180.8.0.1 to 180.8.255.254180.8.255.25565,534
10180.9.0.0/16180.9.0.1 to 180.9.255.254180.9.255.25565,534
11180.10.0.0/16180.10.0.1 to 180.10.255.254180.10.255.25565,534
12180.11.0.0/16180.11.0.1 to 180.11.255.254180.11.255.25565,534
13180.12.0.0/16180.12.0.1 to 180.12.255.254180.12.255.25565,534
14180.13.0.0/16180.13.0.1 to 180.13.255.254180.13.255.25565,534
15180.14.0.0/16180.14.0.1 to 180.14.255.254180.14.255.25565,534
16180.15.0.0/16180.15.0.1 to 180.15.255.254180.15.255.25565,534
17180.16.0.0/16180.16.0.1 to 180.16.255.254180.16.255.25565,534
18180.17.0.0/16180.17.0.1 to 180.17.255.254180.17.255.25565,534
19180.18.0.0/16180.18.0.1 to 180.18.255.254180.18.255.25565,534
20180.19.0.0/16180.19.0.1 to 180.19.255.254180.19.255.25565,534
21180.20.0.0/16180.20.0.1 to 180.20.255.254180.20.255.25565,534
22180.21.0.0/16180.21.0.1 to 180.21.255.254180.21.255.25565,534
23180.22.0.0/16180.22.0.1 to 180.22.255.254180.22.255.25565,534
24180.23.0.0/16180.23.0.1 to 180.23.255.254180.23.255.25565,534
25180.24.0.0/16180.24.0.1 to 180.24.255.254180.24.255.25565,534
26180.25.0.0/16180.25.0.1 to 180.25.255.254180.25.255.25565,534
27180.26.0.0/16180.26.0.1 to 180.26.255.254180.26.255.25565,534
28180.27.0.0/16180.27.0.1 to 180.27.255.254180.27.255.25565,534
29180.28.0.0/16180.28.0.1 to 180.28.255.254180.28.255.25565,534
30180.29.0.0/16180.29.0.1 to 180.29.255.254180.29.255.25565,534
31180.30.0.0/16180.30.0.1 to 180.30.255.254180.30.255.25565,534
32180.31.0.0/16180.31.0.1 to 180.31.255.254180.31.255.25565,534
33180.32.0.0/16180.32.0.1 to 180.32.255.254180.32.255.25565,534
34180.33.0.0/16180.33.0.1 to 180.33.255.254180.33.255.25565,534
35180.34.0.0/16180.34.0.1 to 180.34.255.254180.34.255.25565,534
36180.35.0.0/16180.35.0.1 to 180.35.255.254180.35.255.25565,534
37180.36.0.0/16180.36.0.1 to 180.36.255.254180.36.255.25565,534
38180.37.0.0/16180.37.0.1 to 180.37.255.254180.37.255.25565,534
39180.38.0.0/16180.38.0.1 to 180.38.255.254180.38.255.25565,534
40180.39.0.0/16180.39.0.1 to 180.39.255.254180.39.255.25565,534
41180.40.0.0/16180.40.0.1 to 180.40.255.254180.40.255.25565,534
42180.41.0.0/16180.41.0.1 to 180.41.255.254180.41.255.25565,534
43180.42.0.0/16180.42.0.1 to 180.42.255.254180.42.255.25565,534
44180.43.0.0/16180.43.0.1 to 180.43.255.254180.43.255.25565,534
45180.44.0.0/16180.44.0.1 to 180.44.255.254180.44.255.25565,534
46180.45.0.0/16180.45.0.1 to 180.45.255.254180.45.255.25565,534
47180.46.0.0/16180.46.0.1 to 180.46.255.254180.46.255.25565,534
48180.47.0.0/16180.47.0.1 to 180.47.255.254180.47.255.25565,534
49180.48.0.0/16180.48.0.1 to 180.48.255.254180.48.255.25565,534
50180.49.0.0/16180.49.0.1 to 180.49.255.254180.49.255.25565,534
51180.50.0.0/16180.50.0.1 to 180.50.255.254180.50.255.25565,534
52180.51.0.0/16180.51.0.1 to 180.51.255.254180.51.255.25565,534
53180.52.0.0/16180.52.0.1 to 180.52.255.254180.52.255.25565,534
54180.53.0.0/16180.53.0.1 to 180.53.255.254180.53.255.25565,534
55180.54.0.0/16180.54.0.1 to 180.54.255.254180.54.255.25565,534
56180.55.0.0/16180.55.0.1 to 180.55.255.254180.55.255.25565,534
57180.56.0.0/16180.56.0.1 to 180.56.255.254180.56.255.25565,534
58180.57.0.0/16180.57.0.1 to 180.57.255.254180.57.255.25565,534
59180.58.0.0/16180.58.0.1 to 180.58.255.254180.58.255.25565,534
60180.59.0.0/16180.59.0.1 to 180.59.255.254180.59.255.25565,534
61180.60.0.0/16180.60.0.1 to 180.60.255.254180.60.255.25565,534
62180.61.0.0/16180.61.0.1 to 180.61.255.254180.61.255.25565,534
63180.62.0.0/16180.62.0.1 to 180.62.255.254180.62.255.25565,534
64180.63.0.0/16180.63.0.1 to 180.63.255.254180.63.255.25565,534
65180.64.0.0/16180.64.0.1 to 180.64.255.254180.64.255.25565,534
66180.65.0.0/16180.65.0.1 to 180.65.255.254180.65.255.25565,534
67180.66.0.0/16180.66.0.1 to 180.66.255.254180.66.255.25565,534
68180.67.0.0/16180.67.0.1 to 180.67.255.254180.67.255.25565,534
69180.68.0.0/16180.68.0.1 to 180.68.255.254180.68.255.25565,534
70180.69.0.0/16180.69.0.1 to 180.69.255.254180.69.255.25565,534
71180.70.0.0/16180.70.0.1 to 180.70.255.254180.70.255.25565,534
72180.71.0.0/16180.71.0.1 to 180.71.255.254180.71.255.25565,534
73180.72.0.0/16180.72.0.1 to 180.72.255.254180.72.255.25565,534
74180.73.0.0/16180.73.0.1 to 180.73.255.254180.73.255.25565,534
75180.74.0.0/16180.74.0.1 to 180.74.255.254180.74.255.25565,534
76180.75.0.0/16180.75.0.1 to 180.75.255.254180.75.255.25565,534
77180.76.0.0/16180.76.0.1 to 180.76.255.254180.76.255.25565,534
78180.77.0.0/16180.77.0.1 to 180.77.255.254180.77.255.25565,534
79180.78.0.0/16180.78.0.1 to 180.78.255.254180.78.255.25565,534
80180.79.0.0/16180.79.0.1 to 180.79.255.254180.79.255.25565,534
81180.80.0.0/16180.80.0.1 to 180.80.255.254180.80.255.25565,534
82180.81.0.0/16180.81.0.1 to 180.81.255.254180.81.255.25565,534
83180.82.0.0/16180.82.0.1 to 180.82.255.254180.82.255.25565,534
84180.83.0.0/16180.83.0.1 to 180.83.255.254180.83.255.25565,534
85180.84.0.0/16180.84.0.1 to 180.84.255.254180.84.255.25565,534
86180.85.0.0/16180.85.0.1 to 180.85.255.254180.85.255.25565,534
87180.86.0.0/16180.86.0.1 to 180.86.255.254180.86.255.25565,534
88180.87.0.0/16180.87.0.1 to 180.87.255.254180.87.255.25565,534
89180.88.0.0/16180.88.0.1 to 180.88.255.254180.88.255.25565,534
90180.89.0.0/16180.89.0.1 to 180.89.255.254180.89.255.25565,534
91180.90.0.0/16180.90.0.1 to 180.90.255.254180.90.255.25565,534
92180.91.0.0/16180.91.0.1 to 180.91.255.254180.91.255.25565,534
93180.92.0.0/16180.92.0.1 to 180.92.255.254180.92.255.25565,534
94180.93.0.0/16180.93.0.1 to 180.93.255.254180.93.255.25565,534
95180.94.0.0/16180.94.0.1 to 180.94.255.254180.94.255.25565,534
96180.95.0.0/16180.95.0.1 to 180.95.255.254180.95.255.25565,534
97180.96.0.0/16180.96.0.1 to 180.96.255.254180.96.255.25565,534
98180.97.0.0/16180.97.0.1 to 180.97.255.254180.97.255.25565,534
99180.98.0.0/16180.98.0.1 to 180.98.255.254180.98.255.25565,534
100180.99.0.0/16180.99.0.1 to 180.99.255.254180.99.255.25565,534
101180.100.0.0/16180.100.0.1 to 180.100.255.254180.100.255.25565,534
102180.101.0.0/16180.101.0.1 to 180.101.255.254180.101.255.25565,534
103180.102.0.0/16180.102.0.1 to 180.102.255.254180.102.255.25565,534
104180.103.0.0/16180.103.0.1 to 180.103.255.254180.103.255.25565,534
105180.104.0.0/16180.104.0.1 to 180.104.255.254180.104.255.25565,534
106180.105.0.0/16180.105.0.1 to 180.105.255.254180.105.255.25565,534
107180.106.0.0/16180.106.0.1 to 180.106.255.254180.106.255.25565,534
108180.107.0.0/16180.107.0.1 to 180.107.255.254180.107.255.25565,534
109180.108.0.0/16180.108.0.1 to 180.108.255.254180.108.255.25565,534
110180.109.0.0/16180.109.0.1 to 180.109.255.254180.109.255.25565,534
111180.110.0.0/16180.110.0.1 to 180.110.255.254180.110.255.25565,534
112180.111.0.0/16180.111.0.1 to 180.111.255.254180.111.255.25565,534
113180.112.0.0/16180.112.0.1 to 180.112.255.254180.112.255.25565,534
114180.113.0.0/16180.113.0.1 to 180.113.255.254180.113.255.25565,534
115180.114.0.0/16180.114.0.1 to 180.114.255.254180.114.255.25565,534
116180.115.0.0/16180.115.0.1 to 180.115.255.254180.115.255.25565,534
117180.116.0.0/16180.116.0.1 to 180.116.255.254180.116.255.25565,534
118180.117.0.0/16180.117.0.1 to 180.117.255.254180.117.255.25565,534
119180.118.0.0/16180.118.0.1 to 180.118.255.254180.118.255.25565,534
120180.119.0.0/16180.119.0.1 to 180.119.255.254180.119.255.25565,534
121180.120.0.0/16180.120.0.1 to 180.120.255.254180.120.255.25565,534
122180.121.0.0/16180.121.0.1 to 180.121.255.254180.121.255.25565,534
123180.122.0.0/16180.122.0.1 to 180.122.255.254180.122.255.25565,534
124180.123.0.0/16180.123.0.1 to 180.123.255.254180.123.255.25565,534
125180.124.0.0/16180.124.0.1 to 180.124.255.254180.124.255.25565,534
126180.125.0.0/16180.125.0.1 to 180.125.255.254180.125.255.25565,534
127180.126.0.0/16180.126.0.1 to 180.126.255.254180.126.255.25565,534
128180.127.0.0/16180.127.0.1 to 180.127.255.254180.127.255.25565,534
129180.128.0.0/16180.128.0.1 to 180.128.255.254180.128.255.25565,534
130180.129.0.0/16180.129.0.1 to 180.129.255.254180.129.255.25565,534
131180.130.0.0/16180.130.0.1 to 180.130.255.254180.130.255.25565,534
132180.131.0.0/16180.131.0.1 to 180.131.255.254180.131.255.25565,534
133180.132.0.0/16180.132.0.1 to 180.132.255.254180.132.255.25565,534
134180.133.0.0/16180.133.0.1 to 180.133.255.254180.133.255.25565,534
135180.134.0.0/16180.134.0.1 to 180.134.255.254180.134.255.25565,534
136180.135.0.0/16180.135.0.1 to 180.135.255.254180.135.255.25565,534
137180.136.0.0/16180.136.0.1 to 180.136.255.254180.136.255.25565,534
138180.137.0.0/16180.137.0.1 to 180.137.255.254180.137.255.25565,534
139180.138.0.0/16180.138.0.1 to 180.138.255.254180.138.255.25565,534
140180.139.0.0/16180.139.0.1 to 180.139.255.254180.139.255.25565,534
141180.140.0.0/16180.140.0.1 to 180.140.255.254180.140.255.25565,534
142180.141.0.0/16180.141.0.1 to 180.141.255.254180.141.255.25565,534
143180.142.0.0/16180.142.0.1 to 180.142.255.254180.142.255.25565,534
144180.143.0.0/16180.143.0.1 to 180.143.255.254180.143.255.25565,534
145180.144.0.0/16180.144.0.1 to 180.144.255.254180.144.255.25565,534
146180.145.0.0/16180.145.0.1 to 180.145.255.254180.145.255.25565,534
147180.146.0.0/16180.146.0.1 to 180.146.255.254180.146.255.25565,534
148180.147.0.0/16180.147.0.1 to 180.147.255.254180.147.255.25565,534
149180.148.0.0/16180.148.0.1 to 180.148.255.254180.148.255.25565,534
150180.149.0.0/16180.149.0.1 to 180.149.255.254180.149.255.25565,534
151180.150.0.0/16180.150.0.1 to 180.150.255.254180.150.255.25565,534
152180.151.0.0/16180.151.0.1 to 180.151.255.254180.151.255.25565,534
153180.152.0.0/16180.152.0.1 to 180.152.255.254180.152.255.25565,534
154180.153.0.0/16180.153.0.1 to 180.153.255.254180.153.255.25565,534
155180.154.0.0/16180.154.0.1 to 180.154.255.254180.154.255.25565,534
156180.155.0.0/16180.155.0.1 to 180.155.255.254180.155.255.25565,534
157180.156.0.0/16180.156.0.1 to 180.156.255.254180.156.255.25565,534
158180.157.0.0/16180.157.0.1 to 180.157.255.254180.157.255.25565,534
159180.158.0.0/16180.158.0.1 to 180.158.255.254180.158.255.25565,534
160180.159.0.0/16180.159.0.1 to 180.159.255.254180.159.255.25565,534
161180.160.0.0/16180.160.0.1 to 180.160.255.254180.160.255.25565,534
162180.161.0.0/16180.161.0.1 to 180.161.255.254180.161.255.25565,534
163180.162.0.0/16180.162.0.1 to 180.162.255.254180.162.255.25565,534
164180.163.0.0/16180.163.0.1 to 180.163.255.254180.163.255.25565,534
165180.164.0.0/16180.164.0.1 to 180.164.255.254180.164.255.25565,534
166180.165.0.0/16180.165.0.1 to 180.165.255.254180.165.255.25565,534
167180.166.0.0/16180.166.0.1 to 180.166.255.254180.166.255.25565,534
168180.167.0.0/16180.167.0.1 to 180.167.255.254180.167.255.25565,534
169180.168.0.0/16180.168.0.1 to 180.168.255.254180.168.255.25565,534
170180.169.0.0/16180.169.0.1 to 180.169.255.254180.169.255.25565,534
171180.170.0.0/16180.170.0.1 to 180.170.255.254180.170.255.25565,534
172180.171.0.0/16180.171.0.1 to 180.171.255.254180.171.255.25565,534
173180.172.0.0/16180.172.0.1 to 180.172.255.254180.172.255.25565,534
174180.173.0.0/16180.173.0.1 to 180.173.255.254180.173.255.25565,534
175180.174.0.0/16180.174.0.1 to 180.174.255.254180.174.255.25565,534
176180.175.0.0/16180.175.0.1 to 180.175.255.254180.175.255.25565,534
177180.176.0.0/16180.176.0.1 to 180.176.255.254180.176.255.25565,534
178180.177.0.0/16180.177.0.1 to 180.177.255.254180.177.255.25565,534
179180.178.0.0/16180.178.0.1 to 180.178.255.254180.178.255.25565,534
180180.179.0.0/16180.179.0.1 to 180.179.255.254180.179.255.25565,534
181180.180.0.0/16180.180.0.1 to 180.180.255.254180.180.255.25565,534
182180.181.0.0/16180.181.0.1 to 180.181.255.254180.181.255.25565,534
183180.182.0.0/16180.182.0.1 to 180.182.255.254180.182.255.25565,534
184180.183.0.0/16180.183.0.1 to 180.183.255.254180.183.255.25565,534
185180.184.0.0/16180.184.0.1 to 180.184.255.254180.184.255.25565,534
186180.185.0.0/16180.185.0.1 to 180.185.255.254180.185.255.25565,534
187180.186.0.0/16180.186.0.1 to 180.186.255.254180.186.255.25565,534
188180.187.0.0/16180.187.0.1 to 180.187.255.254180.187.255.25565,534
189180.188.0.0/16180.188.0.1 to 180.188.255.254180.188.255.25565,534
190180.189.0.0/16180.189.0.1 to 180.189.255.254180.189.255.25565,534
191180.190.0.0/16180.190.0.1 to 180.190.255.254180.190.255.25565,534
192180.191.0.0/16180.191.0.1 to 180.191.255.254180.191.255.25565,534
193180.192.0.0/16180.192.0.1 to 180.192.255.254180.192.255.25565,534
194180.193.0.0/16180.193.0.1 to 180.193.255.254180.193.255.25565,534
195180.194.0.0/16180.194.0.1 to 180.194.255.254180.194.255.25565,534
196180.195.0.0/16180.195.0.1 to 180.195.255.254180.195.255.25565,534
197180.196.0.0/16180.196.0.1 to 180.196.255.254180.196.255.25565,534
198180.197.0.0/16180.197.0.1 to 180.197.255.254180.197.255.25565,534
199180.198.0.0/16180.198.0.1 to 180.198.255.254180.198.255.25565,534
200180.199.0.0/16180.199.0.1 to 180.199.255.254180.199.255.25565,534
201180.200.0.0/16180.200.0.1 to 180.200.255.254180.200.255.25565,534
202180.201.0.0/16180.201.0.1 to 180.201.255.254180.201.255.25565,534
203180.202.0.0/16180.202.0.1 to 180.202.255.254180.202.255.25565,534
204180.203.0.0/16180.203.0.1 to 180.203.255.254180.203.255.25565,534
205180.204.0.0/16180.204.0.1 to 180.204.255.254180.204.255.25565,534
206180.205.0.0/16180.205.0.1 to 180.205.255.254180.205.255.25565,534
207180.206.0.0/16180.206.0.1 to 180.206.255.254180.206.255.25565,534
208180.207.0.0/16180.207.0.1 to 180.207.255.254180.207.255.25565,534
209180.208.0.0/16180.208.0.1 to 180.208.255.254180.208.255.25565,534
210180.209.0.0/16180.209.0.1 to 180.209.255.254180.209.255.25565,534
211180.210.0.0/16180.210.0.1 to 180.210.255.254180.210.255.25565,534
212180.211.0.0/16180.211.0.1 to 180.211.255.254180.211.255.25565,534
213180.212.0.0/16180.212.0.1 to 180.212.255.254180.212.255.25565,534
214180.213.0.0/16180.213.0.1 to 180.213.255.254180.213.255.25565,534
215180.214.0.0/16180.214.0.1 to 180.214.255.254180.214.255.25565,534
216180.215.0.0/16180.215.0.1 to 180.215.255.254180.215.255.25565,534
217180.216.0.0/16180.216.0.1 to 180.216.255.254180.216.255.25565,534
218180.217.0.0/16180.217.0.1 to 180.217.255.254180.217.255.25565,534
219180.218.0.0/16180.218.0.1 to 180.218.255.254180.218.255.25565,534
220180.219.0.0/16180.219.0.1 to 180.219.255.254180.219.255.25565,534
221180.220.0.0/16180.220.0.1 to 180.220.255.254180.220.255.25565,534
222180.221.0.0/16180.221.0.1 to 180.221.255.254180.221.255.25565,534
223180.222.0.0/16180.222.0.1 to 180.222.255.254180.222.255.25565,534
224180.223.0.0/16180.223.0.1 to 180.223.255.254180.223.255.25565,534
225180.224.0.0/16180.224.0.1 to 180.224.255.254180.224.255.25565,534
226180.225.0.0/16180.225.0.1 to 180.225.255.254180.225.255.25565,534
227180.226.0.0/16180.226.0.1 to 180.226.255.254180.226.255.25565,534
228180.227.0.0/16180.227.0.1 to 180.227.255.254180.227.255.25565,534
229180.228.0.0/16180.228.0.1 to 180.228.255.254180.228.255.25565,534
230180.229.0.0/16180.229.0.1 to 180.229.255.254180.229.255.25565,534
231180.230.0.0/16180.230.0.1 to 180.230.255.254180.230.255.25565,534
232180.231.0.0/16180.231.0.1 to 180.231.255.254180.231.255.25565,534
233180.232.0.0/16180.232.0.1 to 180.232.255.254180.232.255.25565,534
234180.233.0.0/16180.233.0.1 to 180.233.255.254180.233.255.25565,534
235180.234.0.0/16180.234.0.1 to 180.234.255.254180.234.255.25565,534
236180.235.0.0/16180.235.0.1 to 180.235.255.254180.235.255.25565,534
237180.236.0.0/16180.236.0.1 to 180.236.255.254180.236.255.25565,534
238180.237.0.0/16180.237.0.1 to 180.237.255.254180.237.255.25565,534
239180.238.0.0/16180.238.0.1 to 180.238.255.254180.238.255.25565,534
240180.239.0.0/16180.239.0.1 to 180.239.255.254180.239.255.25565,534
241180.240.0.0/16180.240.0.1 to 180.240.255.254180.240.255.25565,534
242180.241.0.0/16180.241.0.1 to 180.241.255.254180.241.255.25565,534
243180.242.0.0/16180.242.0.1 to 180.242.255.254180.242.255.25565,534
244180.243.0.0/16180.243.0.1 to 180.243.255.254180.243.255.25565,534
245180.244.0.0/16180.244.0.1 to 180.244.255.254180.244.255.25565,534
246180.245.0.0/16180.245.0.1 to 180.245.255.254180.245.255.25565,534
247180.246.0.0/16180.246.0.1 to 180.246.255.254180.246.255.25565,534
248180.247.0.0/16180.247.0.1 to 180.247.255.254180.247.255.25565,534
249180.248.0.0/16180.248.0.1 to 180.248.255.254180.248.255.25565,534
250180.249.0.0/16180.249.0.1 to 180.249.255.254180.249.255.25565,534
251180.250.0.0/16180.250.0.1 to 180.250.255.254180.250.255.25565,534
252180.251.0.0/16180.251.0.1 to 180.251.255.254180.251.255.25565,534
253180.252.0.0/16180.252.0.1 to 180.252.255.254180.252.255.25565,534
254180.253.0.0/16180.253.0.1 to 180.253.255.254180.253.255.25565,534
255180.254.0.0/16180.254.0.1 to 180.254.255.254180.254.255.25565,534
256180.255.0.0/16180.255.0.1 to 180.255.255.254180.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses